Qt 5.9 | Qt 3D | C++ Classes | QPropertyValueAddedChangeBase

Qt 5.9.9 Reference Documentation

# QPropertyValueAddedChangeBase Class

(Qt3DCore::QPropertyValueAddedChangeBase)

The QPropertyValueAddedChangeBase class is the base class for all PropertyValueAdded QSceneChange events More...

Header: | #include <Qt3DCore/QPropertyValueAddedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange
Inherited By: | Qt3DCore::QStaticPropertyValueAddedChangeBase

- List of all members, including inherited members

## Public Functions

| ~QPropertyValueAddedChangeBase()

- 4 public functions inherited from Qt3DCore::QSceneChange

## Protected Functions

| QPropertyValueAddedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QPropertyValueAddedChangeBasePtr

## Detailed Description

The QPropertyValueAddedChangeBase class is the base class for all PropertyValueAdded QSceneChange events

The QPropertyValueAddedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyValueAdded. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyNodeAddedChange.

You can subclass this to create your own node added types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyValueAddedChangeBase::QPropertyValueAddedChangeBase(QNodeId subjectId)

Constructs a new QPropertyValueAddedChangeBase with subjectId

### QPropertyValueAddedChangeBase::~QPropertyValueAddedChangeBase()

Destroys the instance of QPropertyValueAddedChangeBase.

## Related Non-Members

### typedef Qt3DCore::QPropertyValueAddedChangeBasePtr

A shared pointer for QPropertyValueAddedChangeBase.